@font-face{
    font-family: "Oswald";
    src: url("Oswald_font/Oswald-VariableFont_wght.ttf") format("truetype");
    font-weight: 100 900;
    font-style: normal;
}











/*allgemein**********************************************************************/
html {
  scroll-behavior: smooth;
}





ul{
	font-family: Courier New;
}

img{
	max-width: 100%;
}

h1{
	color:#ffc900;
	font-family: Oswald;
	font-size: 50px;
	text-align: center;
	margin-top: 28%;
	max-width: 600px;
	margin-left: auto;
	margin-right: auto;
	padding: 60px;
}

h2{
	color: #ffffff;
	font-family: Courier New;
}

body {
	
	background-color: rgb(0, 0, 174);
	margin:0;
	

}

p{
	font-family: Courier New;
	color: #ffffff;
}

.aboutme, .portfolio, .blog, .contact{
	max-width: 80%;
	margin-left: auto;
	margin-right: auto;
	
	@media (max-width: 480px){
	width:100%;
		
	}
}

/*navigationsleiste******************************************************************/
ul.nav_links{
	font-size: 18px;
	list-style-type: none;
	position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
	height: 50px;
	background:rgb(135, 176, 255);
	z-index: 100;
	
	margin-top: 0;
  
    
    border-bottom: 1px solid var(--line);
	
    @media (max-width: 480px){
	display:block;
	background:rgb(135, 176, 255, 0);
	padding:10px;
	
}

}

img.bumble_logo{
	position: fixed;
	align-content: flex-end;
	left: 30px;
	
	bottom: 30px;
	max-width: 5%;
	min-width: 56px;
	z-index: 100;
}

img.bumble_logo:hover{
  max-width: 6%;
	
}


/*gilt auch für andere Links******************/
.nav_links a{
	color: rgb(32, 32, 32, 1);
	text-decoration: none;
	
	  @media (max-width: 480px){
	display:block;
	background:rgb(135, 176, 255);
		  margin:5px;
		  padding-left: 10px;
		  padding-right: 10px;
		 border-radius: 10px;
		  width: 103px;
		
}
}

.nav_links a:hover{
   color: #ffc900;
	font-size: large;
	
}

/*background**********************************************************************/
.background{
	position:absolute;
	top: 0;
	max-width: 1000px;
	background-image: url("images/background.png.png");
    background-repeat: repeat;
	z-index: -1;
	opacity: 0.2;

}








/*home********************************************************************************/


#HOME{
    position:relative;
    padding-top: 5%;
    padding-bottom: 5%;
	background-color: black;
}

.bumble {
    position: absolute;
    max-width: 501px;         
    overflow: hidden;
	top: 40%;
	left: 51%;
}


.bumble img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


.overlay {
    position: absolute;
	inset: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    opacity: 0;             
    transition: opacity 0.3s ease;
    pointer-events: none;     
}


.bumble:hover .overlay {
    opacity: 1;
}








/*aboutme***********************************************/
.aboutme{
	max-width: 60%;
	background-color: rgb(32, 32, 32, 0.6);
	
	display: flex;
	justify-content: center;
	flex-wrap: nowrap;
	border-radius: 32px;
	padding:2%;
	
	@media (max-width: 1000px){
	display:block;
	max-width: 90%;	
	}
}


 .metext, .floating_head{
	padding: 2%;
	
		


	
}








.metext{
	max-width: 448Px;
	
}














/*portfolio************************************************************************/

.titel_portfolio{
	margin-bottom: -4%;
}




.computer {
  position: relative;
	
	
}






.portfolio{
    position:relative;
	background-color: rgb(135, 176, 255, 0.5);
	

}

.computerlinks {
    position: absolute;
    max-width: 8%;         
    overflow: hidden;
	top: 10%;
	left: 54%;
}

.computerlinks2 {
    position: absolute;
    max-width: 8%;         
    overflow: hidden;
	top: 13%;
	left: 54%;
}

.computerlinks3 {
    position: absolute;
    max-width: 8%;         
    overflow: hidden;
	top: 16%;
	left: 54%;
}


.computerlinks img, .computerlinks2 img, computerlinks3 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


.overlay_i {
    position: absolute;
	inset: 0;
    top: 0;
    left: 0;
    
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    opacity: 0;             
    transition: opacity 0.3s ease;
    pointer-events: none;     
}


.computerlinks:hover .overlay_i , .computerlinks2:hover .overlay_i , .computerlinks3:hover .overlay_i {
    opacity: 1;
	
}


.klickhere{
	position: absolute;
	top: 50%;
	left: 31%;
	width: 8%;
}






a.portfolio{
	position: absolute;
	left: -48%;
	top: 34%;
		
	padding: 8px;
	border-radius: 32px;	
	
		@media (max-width:480px){
	display:block;
		position: absolute;
		top: 108%;
		left: 33%;
		font-size: 14px;
		padding: 4px;
		width: 85px;
		background:rgb(135, 176, 255);
			color: rgb(32, 32, 32, 1);
	}
	

}

.portfolio a:hover{
   color: rgb(255, 201, 0,);
	font-size: large;
	
}

p.computerlink{
	
	align-content: center;
	align-items: center;
	text-align: center;
	
	color: rgb(32, 32, 32, .5);
}







/*blog*******************************************************************************/

.titel_blog{
	margin-bottom: -4%;
}



a.blog_link{
	position: absolute;
	left: 48%;
	top: 34%;
	background:rgb(135, 176, 255);
	padding: 8px;
	border-radius: 32px;
	font-family: "Courier New", monospace;
	text-decoration: none;
	
	@media (max-width:480px){
		display:block;
		position: absolute;
		top: 108%;
		left: 33%;
		font-size: 14px;
		padding: 4px 8px;
	}
	

}

p.typewriterlink{
	
	align-content: center;
	align-items: center;
	text-align: center;
	
	color: rgb(32, 32, 32, .5);
}

.blog{
	position: relative;
	background-color: rgb(135, 176, 255, 0.5);
	padding-bottom: 0%;
}

.typewriter{
	
	max-width: 100%;
	margin-left: auto;
	margin-right: auto;
	padding-top: 0;
	
}

.typewriter_text{
	max-width:47%;
	

	position:absolute;
	top: -8%;
	margin-left: 29%;
}





/*contact***************************************************************************/
.titel_contact{
	margin-bottom: 0%;
}


.contactdata, .comic, .contactlogos{
	position: relative;
	display: flex;
	justify-content: center;
	padding: 2%;
	
}

.contact{
	position: relative;
	background-color: rgb(32, 32, 32, 0.6);
	max-width: 60%;
	display: block;
	align-items: center;
	padding:2%;
	margin-bottom: 28%;
	
	border-radius: 32px;
}



.contactdata{
	text-align: center;
	padding-left:5%;
	padding-right:5%;
	
}




.contactlogos a{
	max-width: 80px;
	max-height: 80px;
	margin-left: 5%;
	margin-right: 5%;
}

 .contactlogos a :hover{
   	 transform: scale(1.2);
}

contactlogos img{
	width:100%;
}

/*impressum***************************************************************************/
footer{
	background-color: rgb(135, 176, 255, 0.3);
	text-align: center;
	padding: 3%
	
}

.footerframe{
	max-width: 800px;
	margin-left: auto;
	margin-right: auto;
	padding-right: 10%;
	padding-left: 10%;
}

.footer {
	color: rgb(135, 176, 255);

}